Skip to main content
GET
/
v1
/
inventory
/
stock-levels
Get stock levels
curl --request GET \
  --url https://api.example.com/v1/inventory/stock-levels \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
{
  "code": "success",
  "data": {
    "stockLevels": [
      {
        "productId": "prod_01J5K8N2XRQV3M7YGWT4HB6E9C",
        "productName": "Botox 100 Units",
        "productGtin": "00814260991517",
        "productType": "drug",
        "quantity": 24,
        "updatedAt": "2025-01-20T17:00:00.000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Marketplace API key

Headers

X-Organization-Id
string
required

Target clinic organization ID

Query Parameters

facilityId
string
required

Facility ID to get stock levels for

Response

Success

code
string
required

Response code

Example:

"success"

data
object
required